# figureslibres.cc

Figureslibres.cc powered by grav in docker environement (nginx, php:7.0-fpm)

## Install docker
```
sudo pacman -S docker docker-compose docker-machine
```

## Clone this repos

this will clone this repos (main docker environement) and the grav source code

```
git clone --recursive -o figureslibres.io https://figureslibres.io/gogs/bachir/docker-figureslibres.cc-grav.git
```

## Hosts and reverse proxy

add to your /etc/hosts :
```
127.0.0.1	dev.figureslibres.cc
```
configure your apache vhosts to add a reverse proxy that will redirect the dev.materio.com to our container
```
<Virtualhost *:80>
   ServerName dev.figuresmibres.cc
   ProxyPass / http://127.0.0.1:8882/
   ProxyPassReverse / http://127.0.0.1:8882/
   ProxyRequests Off
</Virtualhost>
```

## Docker

### start daemon
launch the docker daemon
```
sudo systemctl start docker
```
### build
only before the first run (may take some time)
```
sudo docker-compose build
```
### run
then each time you want to launch the app
```
sudo docker-compose up -d
```
### loging in
```
sudo docker exec -it grav_figureslibres.cc_php_1 bash
```

### fixing permissions
from the ```grav_figureslibres.cc_php_1``` run the fixeperms.sh script
```
sudo docker exec -it grav_figureslibres.cc_php_1 bash
chmod +x fixperms.sh
./fixeperms.sh
```

## Visualize
You can now visit http://dev.figureslibres.cc or simply http://localhost:8882 on your browser
After the first run
